Skip to content

Close Account

POST
/accounts/{account_id}/close
curl --request POST \
--url https://example.com/accounts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/close \
--header 'Content-Type: application/json' \
--data '{ "adjustment_category": "example" }'

Close a real account: void expected instances, post a guided balancing adjustment (when nonzero), unmap any feed link, then make it read-only.

account_id
required
Account Id
string format: uuid
Media typeapplication/json
CloseAccount
object
adjustment_category
Any of:
string

Example generated

{
"adjustment_category": "example"
}

Successful Response

Media typeapplication/json
CloseResult
object
adjustment_tx_id
Any of:
string format: uuid
closed_at
required
Closed At
string format: date-time

Example generated

{
"adjustment_tx_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"closed_at": "2026-04-15T12:00:00Z"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}